<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.user.mapper.EduSchoolParentInformationMapper">

    <select id="getCheckNum" resultType="java.lang.Integer">
        SELECT
        count(
        DISTINCT par.student_information_id
        )
        FROM
        edu_school_parent_information par
        LEFT JOIN edu_school_student_information stu ON stu.id = par.student_information_id
        WHERE
        stu.school_id = #{schoolId}
    </select>

</mapper>